Moonshell Problems

Discussion in 'NDS - Emulation and Homebrew' started by iOrange, Sep 20, 2009.

  1. iOrange
    OP

    iOrange Newbie

    Newcomer
    5
    0
    Aug 23, 2009
    United States
    Hi there, can you guys help me with moonshell?
    I am using 1.6 moonshell and when I play a video, it says "Not support Ext" and the video is dpg.

    Like This: The Dark Knight.DPG,DPG File

    What Am I doing wrong? And when I don't run it from moonshell and I run it from the Supercard itslef, it dosent run it just loads.
    I am using Supercard DS ONE SDHC
    Help?
     
  2. ChuckMcB

    ChuckMcB GBAtemp Fan

    Member
    373
    2
    Mar 30, 2007
    "Not support Ext" means the file you are trying to run is not named .dpg...double double check throught your computer that it is .dpg

    Alternativly you could have found a bug in Moonshell v1.6, which is a rather old version, can you look at upgrading to Moonshell v1.71 or Moonshell v2?
     
  3. iOrange
    OP

    iOrange Newbie

    Newcomer
    5
    0
    Aug 23, 2009
    United States
  4. jurassicplayer

    jurassicplayer Completionist Themer

    Member
    4,362
    508
    Mar 7, 2009
    United States
    Pantsuland
    I think there were like 4 different .dpg formats for moonshell (as moonshell got better, so did the containers?) I know Moonshell 2 can't play the older .dpg versions, but it can play those encoded from moonshell 1.71. That might have been why the .dpg files weren't supported.
     
  5. iOrange
    OP

    iOrange Newbie

    Newcomer
    5
    0
    Aug 23, 2009
    United States
    So will moonshell 2.0 cover all .DPG Formats? [​IMG]
     
  6. Briankealing

    Briankealing GBAtemp Advanced Fan

    Member
    641
    1
    Nov 25, 2008
    United States
    Moonshell 2 can play DPG1, 2, and 4. DPG3 fails to play.
     
  7. iOrange
    OP

    iOrange Newbie

    Newcomer
    5
    0
    Aug 23, 2009
    United States
    How do I tell which DPG format the videos are? [​IMG]
     
  8. jurassicplayer

    jurassicplayer Completionist Themer

    Member
    4,362
    508
    Mar 7, 2009
    United States
    Pantsuland
    Well, you could always go with: If it doesn't load, its dpg3. If it plays but doesn't show a preview when highlighted, its either dpg1 or dpg2. If it plays, seeks nicely, and shows a preview, its dpg4. (But you would have to be using Moonshell 2 lol)
     
  9. ChuckMcB

    ChuckMcB GBAtemp Fan

    Member
    373
    2
    Mar 30, 2007
    alternativly download the .dpg and run Moonshell 2.05's dpginfo.exe (you will find it in: \misctools\dpgtools\misctools\). Select the .dpg you want to test. It will give you a result like this:

     
  10. jurassicplayer

    jurassicplayer Completionist Themer

    Member
    4,362
    508
    Mar 7, 2009
    United States
    Pantsuland
    Gasp! I never knew something like that was in there! I have been enlightened =D and I now must try that out for myself lol.
     
  11. ChuckMcB

    ChuckMcB GBAtemp Fan

    Member
    373
    2
    Mar 30, 2007
    Which unfortunately blows this statement out of the water...the movie I tested above plays fine on Moonshell v2.05. I converted it months ago when i used v1.7.x
     
  12. Briankealing

    Briankealing GBAtemp Advanced Fan

    Member
    641
    1
    Nov 25, 2008
    United States
    fail

    Moonshell 2 cannot support a .ogg track for movies, only 1.7x.
     
  13. iOrange
    OP

    iOrange Newbie

    Newcomer
    5
    0
    Aug 23, 2009
    United States
    Hmmmm, I don't have the tool to check .DPG format.
    This is becoming a hassle, all I wanted was to watch a movie =|

    Can anyone give me really precise step by step instructions?
     
  14. Jamstruth

    Jamstruth Secondary Feline Anthropomorph

    Member
    3,456
    185
    Apr 23, 2009
    North East Scotland
    Just download the latest moonshell, install and see if the DPG movie works (which it should)
     
  15. ChuckMcB

    ChuckMcB GBAtemp Fan

    Member
    373
    2
    Mar 30, 2007
    Yup, I'm with Jamstruth, just download MoonShell v2.05 and you should be fine.

    Let us know how you get on.